# Class JObjectApi

#### Hierarchy (View Summary)

- JBaseApi
  - JObjectApi

- Defined in jamespot-user-api/src/apis/object/object.ts:8

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

askAccess
getAccess
getAccessHash
getAccessRequest
getObject
setAccess
setAccessRequest

## Constructors

### constructor

- new JObjectApi(jApi: JamespotUserApi): JObjectApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JObjectApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### askAccess

- askAccess(
  uri: string,
  askAccess: "read" | "write",
  askMessage?: string,
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - uri: string
  - askAccess: "read" | "write"
  - `Optional` askMessage: string

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/object/object.ts:45

### getAccess

- getAccess(uri: string): Promise<ApiWrapper<ShareAccessProps, BaseMessages>>

  #### Parameters

  - uri: string

  #### Returns Promise<ApiWrapper<ShareAccessProps, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/object/object.ts:29

### getAccessHash

- getAccessHash(uri: string): Promise<ApiWrapper<string, BaseMessages>>

  #### Parameters

  - uri: string

  #### Returns Promise<ApiWrapper<string, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/object/object.ts:37

### getAccessRequest

- getAccessRequest(
  uri: string,
  idUser?: number,
  ): Promise<ApiWrapper<jUserLittle[], BaseMessages>>

  #### Parameters

  - uri: string
  - `Optional` idUser: number

  #### Returns Promise<ApiWrapper<jUserLittle[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/object/object.ts:49

### getObject

- getObject(uri: string): Promise<ApiWrapper<jObjectLittle, BaseMessages>>

  #### Parameters

  - uri: string

  #### Returns Promise<ApiWrapper<jObjectLittle, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/object/object.ts:9

### setAccess

- setAccess(
  uri: string,
  access: { read: string[]; write: string[] },
  message: string,
  generalAccessRule: "link" | "invitation",
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - uri: string
  - access: { read: string[]; write: string[] }
  - message: string
  - generalAccessRule: "link" | "invitation"

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/object/object.ts:13

### setAccessRequest

- setAccessRequest(
  uri: string,
  idUser: number,
  requestAccessValue: "accept" | "deny",
  requestResponseMessage?: string,
  ): Promise<ApiWrapper<[], BaseMessages>>

  #### Parameters

  - uri: string
  - idUser: number
  - requestAccessValue: "accept" | "deny"
  - `Optional` requestResponseMessage: string

  #### Returns Promise<ApiWrapper<[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/object/object.ts:59